# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2002,2003 Colin Walters <walters@debian.org>
# Description: A class to automatically update GNU autotools files
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.


ifndef _cdbs_bootstrap
_cdbs_scripts_path ?= /usr/lib/cdbs
_cdbs_rules_path ?= /usr/share/cdbs/1/rules
_cdbs_class_path ?= /usr/share/cdbs/1/class
endif

ifndef _cdbs_class_autotools_files
_cdbs_class_autotools_files := 1

include $(_cdbs_class_path)/autotools-vars.mk$(_cdbs_makefile_suffix)

common-configure-arch common-configure-indep:: debian/stamp-autotools-files
debian/stamp-autotools-files:
	if [ -r "$(DEB_AC_AUX_DIR)/config.sub" -a ! -f "$(DEB_AC_AUX_DIR)/config.sub.cdbs-orig" -a -r /usr/share/misc/config.sub ] && ! cmp -s "$(DEB_AC_AUX_DIR)/config.sub" /usr/share/misc/config.sub; then \
	   mv "$(DEB_AC_AUX_DIR)/config.sub" "$(DEB_AC_AUX_DIR)/config.sub.cdbs-orig"; \
	   cp -f /usr/share/misc/config.sub "$(DEB_AC_AUX_DIR)/config.sub"; \
	fi
	if [ -r "$(DEB_AC_AUX_DIR)/config.guess" -a ! -f "$(DEB_AC_AUX_DIR)/config.guess.cdbs-orig" -a -r /usr/share/misc/config.guess ] && ! cmp -s "$(DEB_AC_AUX_DIR)/config.guess" /usr/share/misc/config.guess; then \
	   mv "$(DEB_AC_AUX_DIR)/config.guess" "$(DEB_AC_AUX_DIR)/config.guess.cdbs-orig"; \
	   cp -f /usr/share/misc/config.guess "$(DEB_AC_AUX_DIR)/config.guess"; \
	fi
	touch debian/stamp-autotools-files

clean::
	if [ -r "$(DEB_AC_AUX_DIR)/config.sub.cdbs-orig" ]; then \
	  mv "$(DEB_AC_AUX_DIR)/config.sub.cdbs-orig" "$(DEB_AC_AUX_DIR)/config.sub"; \
	fi
	if [ -r "$(DEB_AC_AUX_DIR)/config.guess.cdbs-orig" ]; then \
	  mv "$(DEB_AC_AUX_DIR)/config.guess.cdbs-orig" "$(DEB_AC_AUX_DIR)/config.guess"; \
	fi
	if [ -f "$(DEB_BUILDDIR)/config.log" ] && grep -i 'generated.*by.*autoconf' "$(DEB_BUILDDIR)/config.log" 1>/dev/null; then \
	  rm -f "$(DEB_BUILDDIR)/config.log"; \
	fi
	rm -f debian/stamp-autotools-files

endif
